
From: "Randy.Dunlap" <rddunlap@osdl.org>

From: Michael Veeck <michael.veeck@gmx.net>

Remove unnecessary min/max macros and changes calls to use kernel.h macros
instead.


---

 25-akpm/lib/zlib_deflate/deftree.c |    6 +-----
 1 files changed, 1 insertion(+), 5 deletions(-)

diff -puN lib/zlib_deflate/deftree.c~zlib_deflate_minmax lib/zlib_deflate/deftree.c
--- 25/lib/zlib_deflate/deftree.c~zlib_deflate_minmax	2004-03-16 18:48:59.220715664 -0800
+++ 25-akpm/lib/zlib_deflate/deftree.c	2004-03-16 18:48:59.223715208 -0800
@@ -217,10 +217,6 @@ static void send_bits(
 }
 #endif /* DEBUG_ZLIB */
 
-
-#define MAX(a,b) (a >= b ? a : b)
-/* the arguments must not have side effects */
-
 /* ===========================================================================
  * Initialize the various 'constant' tables. In a multi-threaded environment,
  * this function may be called by two threads concurrently, but this is
@@ -598,7 +594,7 @@ static void build_tree(
 
         /* Create a new node father of n and m */
         tree[node].Freq = tree[n].Freq + tree[m].Freq;
-        s->depth[node] = (uch) (MAX(s->depth[n], s->depth[m]) + 1);
+        s->depth[node] = (uch) (max(s->depth[n], s->depth[m]) + 1);
         tree[n].Dad = tree[m].Dad = (ush)node;
 #ifdef DUMP_BL_TREE
         if (tree == s->bl_tree) {

_
